OpenNI.h File Reference
`#include "OniPlatform.h"`
`#include "OniProperties.h"`
`#include "OniEnums.h"`
`#include "OniCAPI.h"`
`#include "OniCProperties.h"`

Go to the source code of this file.

## Classes

class | openni::Array< T >
class | openni::CameraSettings
class | openni::CoordinateConverter
class | openni::Device
class | openni::OpenNI::DeviceConnectedListener
class | openni::OpenNI::DeviceDisconnectedListener
class | openni::DeviceInfo
class | openni::OpenNI::DeviceStateChangedListener
class | openni::VideoStream::FrameAllocator
class | openni::VideoStream::NewFrameListener
class | openni::OpenNI
class | openni::PlaybackControl
class | openni::Recorder
struct | openni::RGB888Pixel
class | openni::SensorInfo
struct | openni::Version
class | openni::VideoFrameRef
class | openni::VideoMode
class | openni::VideoStream
struct | openni::YUV422DoublePixel

## Namespaces

namespace | openni

## Typedefs

typedef uint16_t | openni::DepthPixel
typedef uint16_t | openni::Grayscale16Pixel

## Variables

static const char * | openni::ANY_DEVICE = NULL